Bug 120553 - allow to specify column names in tree table with mnemonic using '&' notation
allow to specify column names in tree table with mnemonic using '&' notation
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Stanislav Aubrecht
issues@platform
: API_REVIEW_FAST
Depends on:
Blocks: 113642
  Show dependency treegraph
 
Reported: 2007-10-30 20:35 UTC by Stanislav Aubrecht
Modified: 2008-12-22 10:43 UTC (History)
4 users (show)

See Also:
Issue Type: TASK
:


Attachments
proposed patch (8.72 KB, patch)
2007-10-30 20:38 UTC, Stanislav Aubrecht
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Aubrecht 2007-10-30 20:35:14 UTC
i want to add a new attribute ColumnDisplayNameWithMnemonicTTV to org.openide.explorer.view.NodeTableModel as an
alternate way of specifying mnemonic for column display names.
the current implementation uses attribute ColumnMnemonicCharTTV which holds the mnemonic character. however this is
discouraged, Mnemonics.setLocalizedText() should be used instead.
pls note that the mnemonic is visible only in 'change visible columns' dialog window.
Comment 1 Stanislav Aubrecht 2007-10-30 20:38:29 UTC
Created attachment 52059 [details]
proposed patch
Comment 2 Stanislav Aubrecht 2007-10-30 20:41:24 UTC
pls review soon so that issues depending on this api change can be fixed in nb60
Comment 3 Jaroslav Tulach 2007-10-30 20:52:58 UTC
OK.
Comment 4 Stanislav Aubrecht 2007-11-01 16:11:44 UTC
does 'ok' mean it has been reviewed?
Comment 5 Stanislav Aubrecht 2007-11-02 15:29:12 UTC
since there are no objections, i'll integrate the patch tonight
Comment 6 Stanislav Aubrecht 2007-11-02 16:44:52 UTC
patch is integrated

/cvs/openide/explorer/src/org/openide/explorer/view/TreeTableView.java,v  <--  TreeTableView.java
new revision: 1.18; previous revision: 1.17
done
Checking in src/org/openide/explorer/view/NodeTableModel.java;
/cvs/openide/explorer/src/org/openide/explorer/view/NodeTableModel.java,v  <--  NodeTableModel.java
new revision: 1.8; previous revision: 1.7
done
Checking in test/unit/src/org/openide/explorer/view/NodeTableModelTest.java;
/cvs/openide/explorer/test/unit/src/org/openide/explorer/view/NodeTableModelTest.java,v  <--  NodeTableModelTest.java
new revision: 1.4; previous revision: 1.3
done
Checking in manifest.mf;
/cvs/openide/explorer/manifest.mf,v  <--  manifest.mf
new revision: 1.15; previous revision: 1.14
done
Checking in apichanges.xml;
/cvs/openide/explorer/apichanges.xml,v  <--  apichanges.xml
new revision: 1.17; previous revision: 1.16


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo